io.undertow.conduits

## Class GzipStreamSinkConduit

- java.lang.Object
- - io.undertow.conduits.DeflatingStreamSinkConduit
  - - io.undertow.conduits.GzipStreamSinkConduit

All Implemented Interfaces:
  org.xnio.conduits.Conduit, org.xnio.conduits.SinkConduit, org.xnio.conduits.StreamSinkConduit

    public class GzipStreamSinkConduit
    extends DeflatingStreamSinkConduit

Author:
  Stuart Douglas

### Field Summary

Fields
`protected CRC32` `crc` CRC-32 of uncompressed data.

### Fields inherited from class io.undertow.conduits.DeflatingStreamSinkConduit

`currentBuffer, deflater, pooledObject`

### Constructor Summary

Constructors
Constructor and Description
`GzipStreamSinkConduit(ConduitFactory<org.xnio.conduits.StreamSinkConduit> conduitFactory, HttpServerExchange exchange)`
`GzipStreamSinkConduit(ConduitFactory<org.xnio.conduits.StreamSinkConduit> conduitFactory, HttpServerExchange exchange, int deflateLevel)`
`GzipStreamSinkConduit(ConduitFactory<org.xnio.conduits.StreamSinkConduit> conduitFactory, HttpServerExchange exchange, ObjectPool deflaterPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected byte[]` `getTrailer()` called before the stream is finally flushed.
`protected void` `preDeflate(byte[] data)`

### Methods inherited from class io.undertow.conduits.DeflatingStreamSinkConduit

`awaitWritable, awaitWritable, flush, getWorker, getWriteThread, isWriteResumed, isWriteShutdown, newInstanceDeflaterPool, resumeWrites, setWriteReadyHandler, simpleDeflaterPool, suspendWrites, terminateWrites, transferFrom, transferFrom, truncateWrites, wakeupWrites, write, write, writeFinal, writeFinal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### crc

    protected CRC32 crc

CRC-32 of uncompressed data.

### Constructor Detail

#### GzipStreamSinkConduit

    public GzipStreamSinkConduit(ConduitFactory<org.xnio.conduits.StreamSinkConduit> conduitFactory,
                                 HttpServerExchange exchange)

#### GzipStreamSinkConduit

    public GzipStreamSinkConduit(ConduitFactory<org.xnio.conduits.StreamSinkConduit> conduitFactory,
                                 HttpServerExchange exchange,
                                 int deflateLevel)

#### GzipStreamSinkConduit

    public GzipStreamSinkConduit(ConduitFactory<org.xnio.conduits.StreamSinkConduit> conduitFactory,
                                 HttpServerExchange exchange,
                                 ObjectPool deflaterPool)

### Method Detail

#### preDeflate

    protected void preDeflate(byte[] data)

Overrides:
  `preDeflate` in class `DeflatingStreamSinkConduit`

#### getTrailer

    protected byte[] getTrailer()

Description copied from class: `DeflatingStreamSinkConduit`
called before the stream is finally flushed.

Overrides:
  `getTrailer` in class `DeflatingStreamSinkConduit`